overload.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Unary
| Int for unary resources

## Functions

template<class ManTask>
ExecStatus | Gecode::Int::Unary::overload (TaskArray< ManTask > &t)
| Check mandatory tasks t for overload.
template<class OptTask, class PL>
ExecStatus | Gecode::Int::Unary::overload (Space &home, Propagator &p, TaskArray< OptTask > &t)
| Check optional tasks t for overload.